# Class BaseUrlRule

A base rule which calls `match`

The value from the `match` function is passed through to the `handler`.

- Defined in src/router/url/url-rule.js:207

##### Index

### Constructors

constructor

### Properties

_group
$id
handler
match
type

### Methods

matchPriority

## Constructors

### constructor

- new BaseUrlRule(match: any, handler: any): BaseUrlRule

  #### Parameters

  - match: any
  - handler: any

  #### Returns BaseUrlRule

  - Defined in src/router/url/url-rule.js:208

## Properties

### _group

_group: any

- Defined in src/router/url/url-rule.js:212

### $id

$id: number

- Defined in src/router/url/url-rule.js:211

### handler

handler: any

- Defined in src/router/url/url-rule.js:213

### match

match: any

- Defined in src/router/url/url-rule.js:209

### type

type: string

- Defined in src/router/url/url-rule.js:210

## Methods

### matchPriority

- matchPriority(params?: any): number

  This function should be overridden

  #### Parameters

  - `Optional` params: any

  #### Returns number

  - Defined in src/router/url/url-rule.js:221